Package org.eclipse.graphiti.mm.algorithms.impl

# Class RoundedRectangleImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.graphiti.mm.impl.PropertyContainerImpl
org.eclipse.graphiti.mm.impl.GraphicsAlgorithmContainerImpl
org.eclipse.graphiti.mm.algorithms.impl.GraphicsAlgorithmImpl
org.eclipse.graphiti.mm.algorithms.impl.RoundedRectangleImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `GraphicsAlgorithm`, `RoundedRectangle`, `AbstractStyle`, `GraphicsAlgorithmContainer`, `PropertyContainer`

public class RoundedRectangleImpl extends GraphicsAlgorithmImpl implements RoundedRectangle
An implementation of the model object 'Rounded Rectangle'.

The following features are implemented:

- `Corner Height`
- `Corner Width`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final int`
`CORNER_HEIGHT_EDEFAULT`
The default value of the '`Corner Height`' attribute.
`protected static final int`
`CORNER_WIDTH_EDEFAULT`
The default value of the '`Corner Width`' attribute.
`protected int`
`cornerHeight`
The cached value of the '`Corner Height`' attribute.
`protected int`
`cornerWidth`
The cached value of the '`Corner Width`' attribute.

### Fields inherited from class org.eclipse.graphiti.mm.algorithms.impl.GraphicsAlgorithmImpl

`background, filled, FILLED_EDEFAULT, filledESet, foreground, graphicsAlgorithmChildren, height, HEIGHT_EDEFAULT, LINE_STYLE_EDEFAULT, LINE_VISIBLE_EDEFAULT, LINE_WIDTH_EDEFAULT, lineStyle, lineVisible, lineVisibleESet, lineWidth, renderingStyle, style, transparency, TRANSPARENCY_EDEFAULT, width, WIDTH_EDEFAULT, x, X_EDEFAULT, y, Y_EDEFAULT`

### Fields inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`properties`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RoundedRectangleImpl()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`int`
`getCornerHeight()`
`int`
`getCornerWidth()`
`void`
`setCornerHeight(int newCornerHeight)`
`void`
`setCornerWidth(int newCornerWidth)`
`String`
`toString()`

### Methods inherited from class org.eclipse.graphiti.mm.algorithms.impl.GraphicsAlgorithmImpl

`basicGetBackground, basicGetForeground, basicGetParentGraphicsAlgorithm, basicGetPictogramElement, basicGetRenderingStyle, basicGetStyle, basicSetParentGraphicsAlgorithm, basicSetPictogramElement, basicSetRenderingStyle, eBaseStructuralFeatureID, eBasicRemoveFromContainerFeature, eDerivedStructuralFeatureID, eInverseAdd, eInverseRemove, getBackground, getFilled, getForeground, getGraphicsAlgorithmChildren, getHeight, getLineStyle, getLineVisible, getLineWidth, getParentGraphicsAlgorithm, getPictogramElement, getRenderingStyle, getStyle, getTransparency, getWidth, getX, getY, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setHeight, setLineStyle, setLineVisible, setLineWidth, setParentGraphicsAlgorithm, setPictogramElement, setRenderingStyle, setStyle, setTransparency, setWidth, setX, setY, unsetFilled, unsetLineVisible`

### Methods inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`getProperties`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.styles.AbstractStyle

`getBackground, getFilled, getForeground, getLineStyle, getLineVisible, getLineWidth, getRenderingStyle, getTransparency, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setLineStyle, setLineVisible, setLineWidth, setRenderingStyle, setTransparency, unsetFilled, unsetLineVisible`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.GraphicsAlgorithm

`getGraphicsAlgorithmChildren, getHeight, getParentGraphicsAlgorithm, getPictogramElement, getStyle, getWidth, getX, getY, setHeight, setParentGraphicsAlgorithm, setPictogramElement, setStyle, setWidth, setX, setY`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

## Field Details

### CORNER_HEIGHT_EDEFAULT

protected static final int CORNER_HEIGHT_EDEFAULT
The default value of the '`Corner Height`' attribute.

See Also:
  - `getCornerHeight()`
  - Constant Field Values

### cornerHeight

protected int cornerHeight
The cached value of the '`Corner Height`' attribute.

See Also:
  - `getCornerHeight()`

### CORNER_WIDTH_EDEFAULT

protected static final int CORNER_WIDTH_EDEFAULT
The default value of the '`Corner Width`' attribute.

See Also:
  - `getCornerWidth()`
  - Constant Field Values

### cornerWidth

protected int cornerWidth
The cached value of the '`Corner Width`' attribute.

See Also:
  - `getCornerWidth()`

## Constructor Details

### RoundedRectangleImpl

protected RoundedRectangleImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `GraphicsAlgorithmImpl`

### getCornerHeight

public int getCornerHeight()

Specified by:
  `getCornerHeight` in interface `RoundedRectangle`
Returns:
  the value of the 'Corner Height' attribute.
See Also:
  - `RoundedRectangle.setCornerHeight(int)`
  - `AlgorithmsPackage.getRoundedRectangle_CornerHeight()`

### setCornerHeight

public void setCornerHeight(int newCornerHeight)

Specified by:
  `setCornerHeight` in interface `RoundedRectangle`
Parameters:
  `newCornerHeight` - the new value of the 'Corner Height' attribute.
See Also:
  - `RoundedRectangle.getCornerHeight()`

### getCornerWidth

public int getCornerWidth()

Specified by:
  `getCornerWidth` in interface `RoundedRectangle`
Returns:
  the value of the 'Corner Width' attribute.
See Also:
  - `RoundedRectangle.setCornerWidth(int)`
  - `AlgorithmsPackage.getRoundedRectangle_CornerWidth()`

### setCornerWidth

public void setCornerWidth(int newCornerWidth)

Specified by:
  `setCornerWidth` in interface `RoundedRectangle`
Parameters:
  `newCornerWidth` - the new value of the 'Corner Width' attribute.
See Also:
  - `RoundedRectangle.getCornerWidth()`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `GraphicsAlgorithmImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `GraphicsAlgorithmImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `GraphicsAlgorithmImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `GraphicsAlgorithmImpl`

### toString

public String toString()

Overrides:
  `toString` in class `GraphicsAlgorithmImpl`